# ringbuffer.h File Reference

`#include <glibmm.h>`
`#include <gst/audio/gstringbuffer.h>`
`#include <gstreamermm/caps.h>`
`#include <gstreamermm/object.h>`
`#include <gstreamermm/format.h>`

Go to the source code of this file.

## Classes

class | Gst::RingBufferSpec
| The structure containing the format specification of a Gst::RingBuffer. More...
class | Gst::RingBuffer
| Gst::RingBuffer — Base class for audio ringbuffer implementations. More...

## Namespaces

namespace | Gst
namespace | Glib

## Enumerations

enum | Gst::RingBufferSegState { Gst::SEGSTATE_INVALID, Gst::SEGSTATE_EMPTY, Gst::SEGSTATE_FILLED, Gst::SEGSTATE_PARTIAL }
enum | Gst::RingBufferState { Gst::RING_BUFFER_STATE_STOPPED, Gst::RING_BUFFER_STATE_PAUSED, Gst::RING_BUFFER_STATE_STARTED }

enum

Gst::BufferFormat {
Gst::UNKNOWN,
Gst::S8,
Gst::U8,
Gst::S16_LE,
Gst::S16_BE,
Gst::U16_LE,
Gst::U16_BE,
Gst::S24_LE,
Gst::S24_BE,
Gst::U24_LE,
Gst::U24_BE,
Gst::S32_LE,
Gst::S32_BE,
Gst::U32_LE,
Gst::U32_BE,
Gst::S24_3LE,
Gst::S24_3BE,
Gst::U24_3LE,
Gst::U24_3BE,
Gst::S20_3LE,
Gst::S20_3BE,
Gst::U20_3LE,
Gst::U20_3BE,
Gst::S18_3LE,
Gst::S18_3BE,
Gst::U18_3LE,
Gst::U18_3BE,
Gst::FLOAT32_LE,
Gst::FLOAT32_BE,
Gst::FLOAT64_LE,
Gst::FLOAT64_BE,
Gst::MU_LAW,
Gst::A_LAW,
Gst::IMA_ADPCM,
Gst::MPEG,
Gst::GSM,
Gst::IEC958,
Gst::AC3,
Gst::EAC3,
Gst::DTS
}

enum | Gst::BufferFormatType { Gst::BUFTYPE_LINEAR, Gst::BUFTYPE_FLOAT, Gst::BUFTYPE_MU_LAW, Gst::BUFTYPE_A_LAW, Gst::BUFTYPE_IMA_ADPCM, Gst::BUFTYPE_MPEG, Gst::BUFTYPE_GSM, Gst::BUFTYPE_IEC958, Gst::BUFTYPE_AC3, Gst::BUFTYPE_EAC3, Gst::BUFTYPE_DTS }